WPSTextSubDocument Class Reference documentation

WPSTextSubDocument Class Referenceabstract

Basic class used to store a sub document. More...

`#include <WPSTextSubDocument.h>`

Inheritance diagram for WPSTextSubDocument:

## Public Member Functions
| WPSTextSubDocument (RVNGInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor
virtual | ~WPSTextSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
WPSParser * | parser () const
| returns the parser
virtual bool | operator== (shared_ptr< WPSTextSubDocument > const &doc) const
| an operator =
virtual void | parse (shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator =
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSTextSubDocument (const WPSTextSubDocument &)
WPSTextSubDocument & | operator= (const WPSTextSubDocument &)

## Detailed Description

Basic class used to store a sub document.

## Constructor & Destructor Documentation

## ◆ WPSTextSubDocument() [1/2]

WPSTextSubDocument::WPSTextSubDocument | ( | RVNGInputStreamPtr & | input,
|  | WPSParser * | parser,
|  | int | id = 0 )

constructor

Referenced by operator=(), operator==(), MSWriteParserInternal::SubDocument::SubDocument(), WPS4ParserInternal::SubDocument::SubDocument(), WPS8ParserInternal::SubDocument::SubDocument(), WPS8TextInternal::SubDocument::SubDocument(), WPS8TextInternal::SubDocument::SubDocument(), and WPSTextSubDocument().

## ◆ ~WPSTextSubDocument()

WPSTextSubDocument::~WPSTextSubDocument | ( |  | ) |
| virtual

destructor

## ◆ WPSTextSubDocument() [2/2]

WPSTextSubDocument::WPSTextSubDocument | ( | const WPSTextSubDocument & |  | ) |
| explicitprivate

## Member Function Documentation

## ◆ getInput()

RVNGInputStreamPtr & WPSTextSubDocument::getInput | ( |  | ) |
| inline

returns the input

## ◆ operator=()

WPSTextSubDocument & WPSTextSubDocument::operator= | ( | const WPSTextSubDocument & |  | ) |
| private

## ◆ operator==()

bool WPSTextSubDocument::operator== | ( | shared_ptr< WPSTextSubDocument > const & | doc | ) | const
| virtual

an operator =

Reimplemented in MSWriteParserInternal::SubDocument, WPS4ParserInternal::SubDocument, and WPS8ParserInternal::SubDocument.

## ◆ parse()

virtual void WPSTextSubDocument::parse | ( | shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in MSWriteParserInternal::SubDocument, WPS4ParserInternal::SubDocument, WPS8ParserInternal::SubDocument, and WPS8TextInternal::SubDocument.

Referenced by WPSContentListener::handleSubDocument().

## ◆ parser()

WPSParser * WPSTextSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

## ◆ m_parser

WPSParser* WPSTextSubDocument::m_parser
| protected

Referenced by operator==(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), parser(), and WPSTextSubDocument().

The documentation for this class was generated from the following files:

- WPSTextSubDocument.h
- WPSTextSubDocument.cpp